<div class="exist-custo-menu-wrap">
  <a href="javascript: void(0)" class="exist-custo-menu-link" id="ec-link">${properties.ecMenuTitle}</a>

  <div id="ec-menu">
    <div class="ec-pop-up-div">
      <sly data-sly-list.ecMenuMf=${resource.children}>
        <sly data-sly-test="${ecMenuMf.name == 'ecMenuFieldset'}">
          <sly data-sly-list.ecMainMenuItems=${ecMenuMf.children}>
            <div class="ec-menu-wrap">
              <h6 class="ec-menu-heading" title="${ecMainMenuItems.ecMainMenuLinkTitle}">${ecMainMenuItems.ecMainMenuLinkTitle}</h6>
              <div class="ec-menu-btn-wrap">
                <a href="${ecMainMenuItems.ecCtaLink}" class="ec-menu-btn" title="${ecMainMenuItems.ecCtaText}">${ecMainMenuItems.ecCtaText}</a>
              </div>
              <ul class="ec-sub-menu">
                <sly data-sly-list.ecSubMenu=${ecMainMenuItems.children}>
                  <sly data-sly-test="${ecSubMenu.name == 'ecSubMenuFieldset'}">
                    <sly data-sly-list.ecSubMenuItems=${ecSubMenu.children}>
                      <li class="ec-menu-item" title="${ecSubMenuItems.ecSubMenuLinkTitle}">
                        <a href="${ecSubMenuItems.ecSubMenuLinkAddress}" class="ec-menu-link ${ecSubMenuItems.addNewBadge}">${ecSubMenuItems.ecSubMenuLinkTitle}</a>
                      </li>
                    </sly>
                  </sly>
                </sly>
              </ul>
            </div>
            <sly data-sly-test="${ecMainMenuItems.addSeparator}">
              <span class="ec-hr"></span>
            </sly>
          </sly>
        </sly>
      </sly>
    </div>
  </div>
</div>

<div class="mn ec-pop-up-div">
  <div class="mn-ec-nav-wrap">
    <h2>${properties.ecMenuTitle}</h2>
    <a class="mn close-ec-btn" href="javascript: void(0)">
      <img class="mn close-hamburger-icon" src="/content/dam/housingdevelopmentfinancecorp/header/icons/close.svg" alt="Close Icon">
    </a>
  </div>
  <sly data-sly-list.ecMenuMf=${resource.children}>
    <sly data-sly-test="${ecMenuMf.name == 'ecMenuFieldset'}">
      <sly data-sly-list.ecMainMenuItems=${ecMenuMf.children}>
        <div class="ec-menu-wrap">
          <h6 class="ec-menu-heading" title="${ecMainMenuItems.ecMainMenuLinkTitle}">${ecMainMenuItems.ecMainMenuLinkTitle}</h6>
          <div class="ec-menu-btn-wrap">
            <a href="${ecMainMenuItems.ecCtaLink}" class="ec-menu-btn" title="${ecMainMenuItems.ecCtaText}">${ecMainMenuItems.ecCtaText}</a>
          </div>
          <ul class="ec-sub-menu">
            <sly data-sly-list.ecSubMenu=${ecMainMenuItems.children}>
              <sly data-sly-test="${ecSubMenu.name == 'ecSubMenuFieldset'}">
                <sly data-sly-list.ecSubMenuItems=${ecSubMenu.children}>
                  <li class="ec-menu-item">
                    <a href="${ecSubMenuItems.ecSubMenuLinkAddress}" class="ec-menu-link ${ecSubMenuItems.addNewBadge}" title="${ecSubMenuItems.ecSubMenuLinkTitle}">${ecSubMenuItems.ecSubMenuLinkTitle}</a>
                  </li>
                </sly>
              </sly>
            </sly>
          </ul>
        </div>
        <sly data-sly-test="${ecMainMenuItems.addSeparator}">
          <span class="ec-vr"></span>
        </sly>
      </sly>
    </sly>
  </sly>
</div>